<script>
	export let onAdd;
	let words = [];
	let color = "";
</script>

<div>
	<label for="words-input">Words</label>
	<textarea
		id="words-input"
		name="words-input"
		on:input={(event) => (words = event.target.value.split(" "))}
	/>
	<label for="words-color">Color</label>
	<input
		type="color"
		id="words-color"
		name="words-color"
		bind:value={color}
	/>
	<button on:click={() => onAdd({ words, color })}>Add</button>
</div>
